# Copyright (c) 2023 Huawei Technologies Co., Ltd. All rights reserved.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

%global debug_package %{nil}

Name:           ft_engine
Version:        1.0.0
Release:        1%{?dist}
Summary:        Ft_engine consists of window display and window management, providing the core capabilities of the Windows engine.

License:        Apache-2.0
URL:            https://gitee.com/openeuler/ft_engine
Source0:        https://gitee.com/openeuler/ft_engine/repository/archive/ft_engine-1.0.0.tar.gz

BuildRequires:  clang python3 python3-pip python-toml tar cmake ninja-build compiler-rt 
BuildRequires:  llvm-devel gtest-devel harfbuzz-devel libxml2-devel libpng-devel libicu wayland-devel libdrm-devel systemd-pam systemd-devel libexif-devel cjson-devel
BuildRequires:  distributed-utils ft_surface-devel ft_mmi-devel ft_flutter-devel ft_multimedia-devel
BuildRequires:  libglvnd libglvnd-core-devel libglvnd-devel libglvnd-egl libglvnd-gles libglvnd-glx libglvnd-opengl mesa-dri-drivers 
BuildRequires:  mesa-filesystem mesa-libEGL mesa-libEGL-devel mesa-libGL mesa-libGL-devel mesa-libOSMesa mesa-libOSMesa-devel mesa-libgbm 
BuildRequires:  mesa-libgbm-devel mesa-libglapi mesa-libxatracker mesa-libxatracker-devel mesa-vdpau-drivers vulkan-devel mesa-vulkan-drivers
BuildRequires:  libjpeg-devel distributed-build
Requires:       compiler-rt llvm-devel python3 libdrm-devel systemd-devel harfbuzz-devel jsoncpp-devel expat-devel
Requires:       distributed-utils ft_surface ft_mmi ft_flutter ft_multimedia
Requires:       libglvnd libglvnd-core-devel libglvnd-devel libglvnd-egl libglvnd-gles libglvnd-glx libglvnd-opengl mesa-dri-drivers 
Requires:       mesa-filesystem mesa-libEGL mesa-libEGL-devel mesa-libGL mesa-libGL-devel mesa-libOSMesa mesa-libOSMesa-devel mesa-libgbm 
Requires:       mesa-libgbm-devel mesa-libglapi mesa-libxatracker mesa-libxatracker-devel mesa-vdpau-drivers vulkan-devel mesa-vulkan-drivers
Requires:       libjpeg-turbo

%description
Ft_engine consists of window display and window management, providing the core capabilities of the Windows engine.

%package devel
Summary: ft_engine development files
Provides: ft_engine-devel

%description devel
This package contains necessary header files for ft_engine development.

%prep
%autosetup -n %{name}-%{version} -p1

%build
cd %{_builddir}/%{name}-%{version}
./build/prebuildrpm.sh -b release
./build.sh -b release

%install
mkdir -p %{buildroot}%{_libdir}
%ifarch x86_64
cp -pdf %{_builddir}/%{name}-%{version}/out/Release/x64/common/common/lib*.so %{buildroot}%{_libdir}
%endif
%ifarch aarch64
cp -pdf %{_builddir}/%{name}-%{version}/out/Release/aarch64/common/common/lib*.so %{buildroot}%{_libdir}
%endif

mkdir -p %{buildroot}/system/profile/ft
cp -pdf %{_builddir}/%{name}-%{version}/etc/ft.xml   %{buildroot}/system/profile/ft

mkdir -p %{buildroot}/usr/local/share/ft
mkdir -p %{buildroot}/usr/local/share/ft/icon
mkdir -p %{buildroot}/usr/local/share/ft/desktop
cp -pdf %{_builddir}/%{name}-%{version}/etc/icon/*     %{buildroot}/usr/local/share/ft/icon
cp -pdf %{_builddir}/%{name}-%{version}/etc/desktop/*  %{buildroot}/usr/local/share/ft/desktop

mkdir -p %{buildroot}/usr/local/share/ft/window_manager
cp -pdf %{_builddir}/%{name}-%{version}/window_manager/resources/config/other/display_manager_config.xml  %{buildroot}/usr/local/share/ft/window_manager
cp -pdf %{_builddir}/%{name}-%{version}/window_manager/resources/config/other/window_manager_config.xml   %{buildroot}/usr/local/share/ft/window_manager

mkdir -p %{buildroot}%{_includedir}/ft/wm
mkdir -p %{buildroot}%{_includedir}/ft/dm
mkdir -p %{buildroot}%{_includedir}/ft/utils
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/base/animation
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/base/command
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/base/common
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/base/ipc_callbacks
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/base/modifier
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/base/pipeline
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/base/platform/common
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/base/platform/drawing
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/base/property
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/base/render
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/base/screen_manager
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/base/transaction
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/buffer_handle
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/common
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/composer
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/core/animation
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/core/modifier
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/core/pipeline
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/core/transaction
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/core/ui
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/frame_analyzer
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/surface
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/drivers
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/render_context
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/draw
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/effect
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/utils
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/skia_adapter
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/image
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/text
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/draw
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/ui
mkdir -p %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/properties

cp -pdf %{_builddir}/%{name}-%{version}/window_manager/interfaces/innerkits/wm/window.h               %{buildroot}%{_includedir}/ft/wm
cp -pdf %{_builddir}/%{name}-%{version}/window_manager/interfaces/innerkits/wm/window_option.h        %{buildroot}%{_includedir}/ft/wm
cp -pdf %{_builddir}/%{name}-%{version}/window_manager/interfaces/innerkits/wm/wm_common.h            %{buildroot}%{_includedir}/ft/wm

cp -pdf %{_builddir}/%{name}-%{version}/window_manager/interfaces/innerkits/dm/dm_common.h            %{buildroot}%{_includedir}/ft/dm
cp -pdf %{_builddir}/%{name}-%{version}/window_manager/interfaces/innerkits/dm/display.h              %{buildroot}%{_includedir}/ft/dm
cp -pdf %{_builddir}/%{name}-%{version}/window_manager/interfaces/innerkits/dm/display_manager.h      %{buildroot}%{_includedir}/ft/dm

cp -pdf %{_builddir}/%{name}-%{version}/window_manager/utils/include/class_var_definition.h           %{buildroot}%{_includedir}/ft/utils
cp -pdf %{_builddir}/%{name}-%{version}/window_manager/utils/include/noncopyable.h                    %{buildroot}%{_includedir}/ft/utils
cp -pdf %{_builddir}/%{name}-%{version}/window_manager/utils/include/screenshot_info.h                %{buildroot}%{_includedir}/ft/utils
cp -pdf %{_builddir}/%{name}-%{version}/window_manager/utils/include/wm_single_instance.h             %{buildroot}%{_includedir}/ft/utils

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/animation/rs_animation_common.h              %{buildroot}%{_includedir}/ft/render_service_client/base/animation
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/animation/rs_animation_manager.h             %{buildroot}%{_includedir}/ft/render_service_client/base/animation
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/animation/rs_interpolator.h                  %{buildroot}%{_includedir}/ft/render_service_client/base/animation
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/animation/rs_transition_effect.h             %{buildroot}%{_includedir}/ft/render_service_client/base/animation
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/animation/rs_value_estimator.h               %{buildroot}%{_includedir}/ft/render_service_client/base/animation

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/command/rs_command_factory.h                 %{buildroot}%{_includedir}/ft/render_service_client/base/command
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/command/rs_command.h                         %{buildroot}%{_includedir}/ft/render_service_client/base/command
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/command/rs_command_templates.h               %{buildroot}%{_includedir}/ft/render_service_client/base/command
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/command/rs_node_command.h                    %{buildroot}%{_includedir}/ft/render_service_client/base/command

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/common/rs_color.h                                 %{buildroot}%{_includedir}/ft/render_service_client/base/common
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/common/rs_color_palette.h                         %{buildroot}%{_includedir}/ft/render_service_client/base/common
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/common/rs_common_def.h                            %{buildroot}%{_includedir}/ft/render_service_client/base/common
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/common/rs_macros.h                                %{buildroot}%{_includedir}/ft/render_service_client/base/common
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/common/rs_matrix3.h                               %{buildroot}%{_includedir}/ft/render_service_client/base/common
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/common/rs_rect.h                                  %{buildroot}%{_includedir}/ft/render_service_client/base/common
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/common/rs_singleton.h                             %{buildroot}%{_includedir}/ft/render_service_client/base/common
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/common/rs_vector2.h                               %{buildroot}%{_includedir}/ft/render_service_client/base/common
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/common/rs_vector3.h                               %{buildroot}%{_includedir}/ft/render_service_client/base/common
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/common/rs_vector4.h                               %{buildroot}%{_includedir}/ft/render_service_client/base/common

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/ipc_callbacks/buffer_available_callback.h         %{buildroot}%{_includedir}/ft/render_service_client/base/ipc_callbacks
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/ipc_callbacks/iapplication_agent.h                %{buildroot}%{_includedir}/ft/render_service_client/base/ipc_callbacks
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/ipc_callbacks/rs_iocclusion_change_callback.h     %{buildroot}%{_includedir}/ft/render_service_client/base/ipc_callbacks
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/ipc_callbacks/rs_irender_mode_change_callback.h   %{buildroot}%{_includedir}/ft/render_service_client/base/ipc_callbacks
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/ipc_callbacks/screen_change_callback.h            %{buildroot}%{_includedir}/ft/render_service_client/base/ipc_callbacks
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/ipc_callbacks/surface_capture_callback.h          %{buildroot}%{_includedir}/ft/render_service_client/base/ipc_callbacks

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/modifier/rs_animatable_arithmetic.h        %{buildroot}%{_includedir}/ft/render_service_client/base/modifier
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/modifier/rs_modifier_type.h                %{buildroot}%{_includedir}/ft/render_service_client/base/modifier
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/modifier/rs_modifiers_def.in               %{buildroot}%{_includedir}/ft/render_service_client/base/modifier
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/modifier/rs_render_modifier.h              %{buildroot}%{_includedir}/ft/render_service_client/base/modifier
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/modifier/rs_render_property.h              %{buildroot}%{_includedir}/ft/render_service_client/base/modifier

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/pipeline/rs_base_render_node.h             %{buildroot}%{_includedir}/ft/render_service_client/base/pipeline
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/pipeline/rs_context.h                      %{buildroot}%{_includedir}/ft/render_service_client/base/pipeline
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/pipeline/rs_dirty_region_manager.h         %{buildroot}%{_includedir}/ft/render_service_client/base/pipeline
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/pipeline/rs_draw_cmd_list.h                %{buildroot}%{_includedir}/ft/render_service_client/base/pipeline
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/pipeline/rs_recording_canvas.h             %{buildroot}%{_includedir}/ft/render_service_client/base/pipeline
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/pipeline/rs_render_node.h                  %{buildroot}%{_includedir}/ft/render_service_client/base/pipeline
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/pipeline/rs_render_node_map.h              %{buildroot}%{_includedir}/ft/render_service_client/base/pipeline

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/platform/common/rs_log.h                   %{buildroot}%{_includedir}/ft/render_service_client/base/platform/common
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/platform/common/rs_system_properties.h     %{buildroot}%{_includedir}/ft/render_service_client/base/platform/common

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/platform/drawing/rs_surface_frame.h        %{buildroot}%{_includedir}/ft/render_service_client/base/platform/drawing
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/platform/drawing/rs_surface.h              %{buildroot}%{_includedir}/ft/render_service_client/base/platform/drawing

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/property/rs_properties_def.h               %{buildroot}%{_includedir}/ft/render_service_client/base/property
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/property/rs_properties.h                   %{buildroot}%{_includedir}/ft/render_service_client/base/property

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/render/rs_border.h                                %{buildroot}%{_includedir}/ft/render_service_client/base/render
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/render/rs_filter.h                                %{buildroot}%{_includedir}/ft/render_service_client/base/render
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/render/rs_image.h                                 %{buildroot}%{_includedir}/ft/render_service_client/base/render
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/render/rs_mask.h                                  %{buildroot}%{_includedir}/ft/render_service_client/base/render
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/render/rs_path.h                                  %{buildroot}%{_includedir}/ft/render_service_client/base/render
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/render/rs_shader.h                                %{buildroot}%{_includedir}/ft/render_service_client/base/render
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/render/rs_shadow.h                                %{buildroot}%{_includedir}/ft/render_service_client/base/render

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/screen_manager/rs_screen_capability.h             %{buildroot}%{_includedir}/ft/render_service_client/base/screen_manager
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/screen_manager/rs_screen_data.h                   %{buildroot}%{_includedir}/ft/render_service_client/base/screen_manager
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/screen_manager/rs_screen_hdr_capability.h         %{buildroot}%{_includedir}/ft/render_service_client/base/screen_manager
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/screen_manager/rs_screen_mode_info.h              %{buildroot}%{_includedir}/ft/render_service_client/base/screen_manager
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/screen_manager/rs_screen_props.h                  %{buildroot}%{_includedir}/ft/render_service_client/base/screen_manager
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/screen_manager/rs_virtual_screen_resolution.h     %{buildroot}%{_includedir}/ft/render_service_client/base/screen_manager
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/screen_manager/screen_types.h                     %{buildroot}%{_includedir}/ft/render_service_client/base/screen_manager

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/transaction/rs_irender_client.h             %{buildroot}%{_includedir}/ft/render_service_client/base/transaction
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/transaction/rs_marshalling_helper.h         %{buildroot}%{_includedir}/ft/render_service_client/base/transaction
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/transaction/rs_occlusion_data.h             %{buildroot}%{_includedir}/ft/render_service_client/base/transaction
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/transaction/rs_render_service_client.h      %{buildroot}%{_includedir}/ft/render_service_client/base/transaction
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/transaction/rs_transaction_data.h           %{buildroot}%{_includedir}/ft/render_service_client/base/transaction
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/transaction/rs_transaction_proxy.h          %{buildroot}%{_includedir}/ft/render_service_client/base/transaction

cp -pdf %{_builddir}/%{name}-%{version}/display_server/utils/buffer_handle/export/buffer_handle_utils.h                                %{buildroot}%{_includedir}/ft/render_service_client/buffer_handle

cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/common/graphic_common_c.h                                  %{buildroot}%{_includedir}/ft/render_service_client/common
cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/common/graphic_common.h                                    %{buildroot}%{_includedir}/ft/render_service_client/common

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/composer/vsync/include/ivsync_connection.h                        %{buildroot}%{_includedir}/ft/render_service_client/composer
cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/composer/vsync_receiver.h                                  %{buildroot}%{_includedir}/ft/render_service_client/composer

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/animation/rs_animation.h                     %{buildroot}%{_includedir}/ft/render_service_client/core/animation
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/animation/rs_animation_manager_map.h         %{buildroot}%{_includedir}/ft/render_service_client/core/animation
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/animation/rs_animation_timing_curve.h        %{buildroot}%{_includedir}/ft/render_service_client/core/animation
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_base/include/animation/rs_animation_timing_protocol.h    %{buildroot}%{_includedir}/ft/render_service_client/core/animation
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/animation/rs_implicit_animator.h             %{buildroot}%{_includedir}/ft/render_service_client/core/animation
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/animation/rs_implicit_animator_map.h         %{buildroot}%{_includedir}/ft/render_service_client/core/animation
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/animation/rs_motion_path_option.h            %{buildroot}%{_includedir}/ft/render_service_client/core/animation
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/animation/rs_transition.h                    %{buildroot}%{_includedir}/ft/render_service_client/core/animation
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/animation/rs_ui_animation_manager.h          %{buildroot}%{_includedir}/ft/render_service_client/core/animation

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/modifier/rs_extended_modifier.h              %{buildroot}%{_includedir}/ft/render_service_client/core/modifier
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/modifier/rs_modifier_extractor.h             %{buildroot}%{_includedir}/ft/render_service_client/core/modifier
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/modifier/rs_modifier.h                       %{buildroot}%{_includedir}/ft/render_service_client/core/modifier
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/modifier/rs_modifier_manager.h               %{buildroot}%{_includedir}/ft/render_service_client/core/modifier
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/modifier/rs_property.h                       %{buildroot}%{_includedir}/ft/render_service_client/core/modifier
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/modifier/rs_property_modifier.h              %{buildroot}%{_includedir}/ft/render_service_client/core/modifier

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/pipeline/rs_node_map.h             %{buildroot}%{_includedir}/ft/render_service_client/core/pipeline

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/transaction/rs_interfaces.h        %{buildroot}%{_includedir}/ft/render_service_client/core/transaction

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/ui/rs_base_node.h                  %{buildroot}%{_includedir}/ft/render_service_client/core/ui
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/ui/rs_canvas_node.h                %{buildroot}%{_includedir}/ft/render_service_client/core/ui
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/ui/rs_display_node.h               %{buildroot}%{_includedir}/ft/render_service_client/core/ui
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/ui/rs_node.h                       %{buildroot}%{_includedir}/ft/render_service_client/core/ui
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/ui/rs_root_node.h                  %{buildroot}%{_includedir}/ft/render_service_client/core/ui
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/ui/rs_surface_node.h               %{buildroot}%{_includedir}/ft/render_service_client/core/ui
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/ui/rs_ui_director.h                %{buildroot}%{_includedir}/ft/render_service_client/core/ui
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/render_service_client/core/ui/rs_surface_extractor.h          %{buildroot}%{_includedir}/ft/render_service_client/core/ui

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/frame_analyzer/export/frame_collector.h               %{buildroot}%{_includedir}/ft/render_service_client/frame_analyzer
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/frame_analyzer/export/frame_info.h                    %{buildroot}%{_includedir}/ft/render_service_client/frame_analyzer
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/frame_analyzer/export/ring_queue.h                    %{buildroot}%{_includedir}/ft/render_service_client/frame_analyzer

cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/surface/buffer_extra_data.h                    %{buildroot}%{_includedir}/ft/render_service_client/surface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/surface/egl_data.h                             %{buildroot}%{_includedir}/ft/render_service_client/surface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/surface/ibuffer_consumer_listener.h            %{buildroot}%{_includedir}/ft/render_service_client/surface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/surface/ibuffer_producer.h                     %{buildroot}%{_includedir}/ft/render_service_client/surface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/surface/native_buffer.h                        %{buildroot}%{_includedir}/ft/render_service_client/surface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/surface/native_surface.h                       %{buildroot}%{_includedir}/ft/render_service_client/surface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/surface/surface_buffer.h                       %{buildroot}%{_includedir}/ft/render_service_client/surface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/surface/surface_delegate.h                     %{buildroot}%{_includedir}/ft/render_service_client/surface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/surface/surface.h                              %{buildroot}%{_includedir}/ft/render_service_client/surface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/surface/surface_tunnel_handle.h                %{buildroot}%{_includedir}/ft/render_service_client/surface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/surface/surface_type.h                         %{buildroot}%{_includedir}/ft/render_service_client/surface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/interfaces/inner_api/surface/surface_utils.h                        %{buildroot}%{_includedir}/ft/render_service_client/surface

cp -pdf %{_builddir}/%{name}-%{version}/display_server/drivers/interfaces/display_type.h                                   %{buildroot}%{_includedir}/ft/render_service_client/drivers

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/render_context/render_context.h       %{buildroot}%{_includedir}/ft/render_service_client/render_context
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/render_context/memory_handler.h       %{buildroot}%{_includedir}/ft/render_service_client/render_context
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/render_context/cache_data.h           %{buildroot}%{_includedir}/ft/render_service_client/render_context
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/render_context/shader_cache.h         %{buildroot}%{_includedir}/ft/render_service_client/render_context

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/draw/canvas.h                     %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/draw
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/draw/brush.h                      %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/draw
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/draw/clip.h                       %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/draw
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/draw/path.h                       %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/draw
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/draw/pen.h                        %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/draw
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/draw/shadow.h                     %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/draw
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/draw/color.h                      %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/draw
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/draw/blend_mode.h                 %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/draw

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/effect/color_space.h      %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/effect
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/effect/filter.h           %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/effect
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/effect/shader_effect.h    %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/effect
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/effect/image_filter.h     %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/effect
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/effect/color_filter.h     %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/effect
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/effect/color_matrix.h     %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/effect
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/effect/mask_filter.h      %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/effect
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/effect/path_effect.h      %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/effect

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/utils/scalar.h            %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/utils
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/utils/camera3d.h          %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/utils
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/utils/point.h             %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/utils
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/utils/point3.h            %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/utils
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/utils/log.h               %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/utils
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/utils/matrix.h            %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/utils
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/utils/rect.h              %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/utils
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/utils/size.h              %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/utils
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/utils/sampling_options.h  %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/utils
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/utils/round_rect.h        %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/utils

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/skia_adapter/skia_canvas.h         %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/skia_adapter
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/skia_adapter/skia_bitmap.h         %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/skia_adapter
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/skia_adapter/skia_image.h          %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/skia_adapter
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/skia_adapter/skia_matrix.h         %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/skia_adapter
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/skia_adapter/skia_paint.h          %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/skia_adapter
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/skia_adapter/skia_picture.h        %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/skia_adapter
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/skia_adapter/skia_color_space.h    %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/skia_adapter

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/image/picture.h           %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/image
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/image/bitmap.h            %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/image
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/image/image.h             %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/image

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/include/text/text.h               %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/text

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/draw/core_canvas.h    %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/draw

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/core_canvas_impl.h      %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/base_impl.h             %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/adapter_type.h          %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/color_space_impl.h      %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/image_filter_impl.h     %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/color_filter_impl.h     %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/mask_filter_impl.h      %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/path_effect_impl.h      %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/path_impl.h             %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/matrix_impl.h           %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/shader_effect_impl.h    %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/picture_impl.h          %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/bitmap_impl.h           %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/image_impl.h            %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_graphics/src/drawing/engine_adapter/impl_interface/camera_impl.h           %{buildroot}%{_includedir}/ft/render_service_client/2d_graphics/drawing/engine_adapter/impl_interface

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/ui/font_collection.h                %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/ui
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/ui/typography.h                     %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/ui
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/ui/typography_create.h              %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/ui

cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/properties/font_collection_base.h        %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/properties
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/properties/font_collection_txt_base.h    %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/properties
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/properties/font_collection_txt.h         %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/properties
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/properties/placeholder_run.h             %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/properties
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/properties/rosen_converter_txt.h         %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/properties
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/properties/text_style.h                  %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/properties
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/properties/typography_style.h            %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/properties
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/properties/typography_base.h             %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/properties
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/properties/typography_create_base.h      %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/properties
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/properties/typography_create_txt.h       %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/properties
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/properties/typography_properties.h       %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/properties
cp -pdf %{_builddir}/%{name}-%{version}/display_server/rosen/modules/2d_engine/rosen_text/properties/typography_txt.h              %{buildroot}%{_includedir}/ft/render_service_client/2d_engine/rosen_text/properties

%clean 
rm -rf %{buildroot}

%files
%{_libdir}/*
/system/profile/*
/usr/local/share/ft/*
/usr/local/share/ft/window_manager/*

%files devel
%{_libdir}/*
/system/profile/*
/usr/local/share/ft/*
/usr/local/share/ft/window_manager/*
%{_includedir}/*

%changelog
* Tue Oct 10 2023 xieyijun3 <xieyijun3@huawei.com> - 1.0.0-1
- 
